# Contents

[Preface](preface.md)

1. Introduction
    1. Introduction to System Identification
    2. Linear or Nonlinear System Identification?
    3. NARMAX Methods
    4. What is the Purpose of System Identification?
    5. System Identification and Forecasting
    6. Nonlinear System Identification and Forecasting Applications: Case Studies
    7. Terminology
2. NARMAX Model Representation
    1. Basis Function
    2. Polynomial NARMAX
    3. Fourier NARMAX
    4. NARX Neural Network
    5. General Model Set Representation
    6. References
3. Parameter Estimation
    1. Least Squares
    2. Estimator Properties
    3. Regularization: Ridge Regression
    4. Total Least Squares
    5. Statistical Properties of Least Squares Estimators
    6. Extended Least Squares Algorithms
    7. Case Studies
    8. References
4. Multiobjective Parameter Estimation
    1. Introduction
    2. Affine Information
    3. Multiobjective Optimization Problem
    4. NARX Model Static Behavior
    5. Case Studies
    6. References
5. Time-Varying System Identification
    1. Nonlinear Time-Varying Model Estimation
    2. Recursive Least Squares
    3. Adaptive Filters
        1. Least Mean Squares
        2. Affine Least Mean Squares
        3. Least Mean Squares Sign Error
        4. Normalized Least Mean Squares
        5. Least Mean Squares Normalized Sign Error
        6. Least Mean Squares Sign Regressor
        7. Least Mean Squares Normalized Sign Regressor
        8. Least Mean Squares Sign Sign
        9. Least Mean Squares Normalized Sign Sign
        10. Least Mean Squares Leaky
        11. Least Mean Squares Normalized Leaky
        12. Least Mean Squares Fourth
        13. Least Mean Squares Mixed Norm
    4. Case Studies
    5. References
6. Model Structure Selection
    1. Introduction
    2. Forward Regression Orthogonal Least Squares
        1. Case Study
    3. Meta Model Structure Selection
        1. Case Study
    4. Accelerated Orthogonal Least Squares
        1. Case Study
    5. Entropic Regression
        1. Case Study
    6. Case Studies
    7. References
7. Multiobjective Model Structure Selection
    1. Introduction
    2. Multiobjective Error Reduction Ratio
    3. Multiobjective Meta Model Structure Selection
    4. Case Studies
    5. References
8. NARX Neural Network
    1. Introduction
    2. NARX Neural Network
    3. NARX Neural Network vs. Recursive Neural Network
    4. Case Studies
    5. References
9. Severely Nonlinear Systems
    1. Introduction
    2. Systems With Hysteresis
    3. Case Study: Modeling a Magneto-rheological Damper Device
    4. References
10. Validation
    1. Introduction
    2. Nonlinearity Detection
    3. One-step Ahead Prediction
    4. Infinity-step Ahead Prediction
    5. Statistical Validation
    6. References
11. Case Studies: System Identification and Forecasting
    1. Full Scale F-16 Aircraft
    2. Modeling a Magneto-rheological Damper Device
    3. Industrial Robot Identification Benchmark
    4. Two-Story Frame with Hysteretic Links
    5. Cortical Responses Evoked by Wrist Joint Manipulation
    6. Coupled Electric Drives
    7. Total quarterly beer production in Australia
    8. Australian Domestic Tourism Demand
    9. Electricity Transformer Dataset
    10. Electric Power Consumption
    11. Hourly Energy Demand
    12. Gas Rate CO2
    13. Number of Patients Seen With Influenza-like Illness
    14. Monthly Sales of Heaters and Ice Cream
    15. Monthly Production of Milk
    16. Half-hourly Electricity Demand in England and Wales
    17. Daily Temperature in Melbourne
    18. Weekly U.S. Product Supplied of Finished Motor Gasoline
    19. Australian Total Wine Sales
    20. Quarterly Production of Woollen Yarn in Australia
    21. Hourly Nuclear Energy Generation
