# Nonlinear Dynamics: A Journey Through System Identification and Forecasting

Welcome to our companion book on System Identification! This book is a comprehensive yet fun approach to learning about dynamic models and forecasting. We believe that learning doesn't have to be dull and boring, which is why we've made sure to infuse some humor into the material.

Our book is specifically designed for those who are interested in learning system identification and forecasting.  We will guide you through the process step-by-step using Python and the SysIdentPy package. With `SysIdentPy`, you will be able to apply a range of techniques for modeling dynamic systems, making predictions, and exploring different design schemes.

Our approach to teaching is centered around a rigorous curriculum that is designed to provide you with a deep understanding of the subject matter. Learning is an iterative process, which is why our book is organized in a way that allows you to build upon your knowledge gradually.

The best part about our book is that it is open source material, meaning that it is freely available for anyone to use and contribute to. We hope that this will foster a community of like-minded individuals who are passionate about system identification and forecasting.

So, whether you're a student, researcher, data scientist or practitioner, we invite you to embark on this exciting journey with us. Let's dive into the world of system identification and forecasting with SysIdentPy!

All Python examples in the book assume you have loaded the following packages first:

```
import sysidentpy
import pandas as pd
import numpy as np
import torch
```

# Acknowledgments
The System Identification class taught by Samir Martins has been a great source of inspiration for this series. In this book, we will explore Dynamic Systems and learn how to master NARMAX models using Python and the SysIdentPy package. The Stephen A. Billings book, `Nonlinear System Identification: NARMAX Methods in the Time, Frequency, and Spatio - Temporal Domains`, have been instrumental in showing us how fun and useful System Identification can be.

In addition to these resources, we will also reference Luis Antônio Aguirre `Introdução à Identificação de Sistemas. Técnicas Lineares e não Lineares Aplicadas a Sistemas. Teoria e Aplicação` (in portuguese), which has proven to be an invaluable tool in introducing complex dynamic modeling concepts in light-hearted way. As an open source material on System Identification and Forecasting, this book aims to provide a accessible yet rigorous approach to learning dynamic models and forecasting.

## Contribute

The `Nonlinear Dynamics: A Journey Through System Identification and Forecasting` is a comprehensive resource on the science of System Identification, offered as an open-source material. Our aim is to make this valuable resource accessible to all, both financially and intellectually. If you have found this book helpful and want to support our endeavor financially, you are referred to the Sponsor page. However, if you are not yet ready to contribute financially, you can still help us by pointing out typos, suggesting edits, or offering feedback on passages that you found difficult to comprehend. Simply navigate to the book's repository and open an issue. Lastly, if you enjoyed our content, please consider sharing it with others who may find it useful and leave us a star on GitHub.

## Note

The chapters will be released one by one until the book is complete.